Package org.eclipse.ecf.core.util

# Class Base64

java.lang.Object
org.eclipse.ecf.core.util.Base64

public class Base64 extends Object

## Constructor Summary

Constructors
Constructor
Description
`Base64()`

## Method Summary

Modifier and Type
Method
Description
`static byte[]`
`decode(String encoded)`
`static byte[]`
`decodeFromCharArray(byte[] data)`
This method decodes the byte array in base 64 encoding into a char array Base 64 encoding has to be according to the specification given by the RFC 1521 (5.2).
`static String`
`encode(byte[] bytes)`
`static byte[]`
`encodeToCharArray(byte[] data)`
This method encodes the byte array into a char array in base 64 according to the specification given by the RFC 1521 (5.2).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Base64

public Base64()

## Method Details

### decodeFromCharArray

public static byte[] decodeFromCharArray(byte[] data)
This method decodes the byte array in base 64 encoding into a char array Base 64 encoding has to be according to the specification given by the RFC 1521 (5.2).

Parameters:
  `data` - the encoded byte array
Returns:
  the decoded byte array

### encodeToCharArray

public static byte[] encodeToCharArray(byte[] data)
This method encodes the byte array into a char array in base 64 according to the specification given by the RFC 1521 (5.2).

Parameters:
  `data` - the encoded char array
Returns:
  the byte array that needs to be encoded

### encode

public static String encode(byte[] bytes)

### decode

public static byte[] decode(String encoded)